Get Categorisation Feedback by ID
curl --request GET \
--url https://api.yapily.com/transactions/categorisation/feedback/{feedbackId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/transactions/categorisation/feedback/{feedbackId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/transactions/categorisation/feedback/{feedbackId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "12345678901234567890123456789012"
},
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"transactionHash": "...",
"suggestions": [
{
"type": "MISSING",
"field": "merchant name"
},
{
"type": "INCORRECT",
"field": "label",
"suggestedValue": "Correct Label"
}
],
"status": "OPEN",
"createdAt": "2026-01-01T00:00:00Z",
"notes": "Lorem ipsum..."
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 401,
"status": "UNAUTHORIZED",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "CREDENTIALS",
"code": 10700,
"message": "Authorization header invalid or credentials not authenticated"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 404,
"status": "NOT FOUND",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": 10800,
"message": "Resource not found"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 500,
"status": "INTERNAL SERVER ERROR",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INTERNAL_SERVER_ERROR",
"code": 11000,
"message": "Unexpected server error"
}
]
}
}Data Plus
Get Categorisation Feedback by ID
Retrieve categorisation feedback by ID.
Get Categorisation Feedback by ID
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Was this page helpful?
⌘I